Warcraft III, Fedora 11 y Wine - No detecta CD


  • 0

    Me estoy volviendo loco para instalar el Warcraft III en Fedora 11 con Wine. Lo he conseguido instalar, pero cada vez que intento arrancar me pide el CD original, CD que tengo metido en la unidad y que creo que ni intenta leer. He probado con el último parche y nada, mientras que en Windows precisamente los últimos parches te liberan de tener el CD en la unidad.

    He probado tambien a añadir la ruta de la unidad en wineconf y na de na.

    ¿Alguna idea?



  • 1

    En mac he tenido problemas parecidos con el DARwine que es el port, puesto que tienes que modificar unas librerias si quieres que te detecte los CD's
    Es culpa de la proteccion de CD's que ponen para que no se copie, es software para windows y el wine no tiene los derechos para usarlo.



  • 2

    Seguiré buscando por ese camino. Ya lo tengo en Windows, pero en la medida de lo posible prefiero usar Linux.



  • 3

    Yo cuando intente jugar en ubuntu saque información de la pagina pagina oficial de wine WineHQ - Warcraft III The Frozen Throne: 1.x pero vamos cosa chunga.



  • 4

    Si, ya miré y no hay manera, y eso que no soy el único. Incluso hay gente que en versiones anteriores de Wine o con otros Linux funcionaban bien. No se si será por la versión de 64 bits…



  • 5

    Yo lo he conseguido hacer funcionar desde SLAX, que lo tengo instalado en el pendrive.

    Instalo drivers de nVIDIA ( en caso que tenga nVIDIA), cargo Wine, i a rular. No recuerdo haber tenido problemas para arrancar el War3. Eso sí, si ves que te da problemas para arrancarlo normal (DirectX), arrancalo con opengl.

    Saludos!



  • 6

    Lo del poner -opengl ya está probado y nada, porque el fallo es nada mas sacar la pantalla "splash" del juego y antes de cargar el resto. Además que incluso me va el World of Warcraft.

    Por lo que he leido deeiivid podría estar en lo cierto y parece ser cosa de la protección (creo que es SecureDisc) que con el Wine, al menos el de 64 bits, falla aunque el CD sea original.

    Edito: He encontrado esto, pero no veo que mi sistema cumpla ninguno de esos requisitos:

    Bad Versions
    It's recommended to not use these versions of software because they break the SecuRom copy protection (ie "Please insert disc"):

    • Linux vanilla x86-64 kernel: 2.6.9-2.6.15, and versions less than 2.6 > 2.6.29.6-217.2.3.fc11.x86_64
    • Wine compiled with GCC 4.0.0-4.0.2 > es el de los repositorios, a saber…
    • Native msvcrt.dll > lo he sustituido por uno de XP y nada
    • Nvidia video driver compiled against mismatched X11 header files > tambien de los repositorios, concretamente de los Fusion
    • Fedora Core 6 kernel package less than 2.6.18-1.2784.fc6, and kernel package "kernel.x86_64 2.6.20-1.2933.fc6". > 2.6.29.6-217.2.3.fc11.x86_64
    • FreeBSD > Fedora 11 x64


  • 7

    Prueba con el crossover y si no tira con este, es la proteccion



  • 8

    Entre esto y que unos archivos del mini-server tarda mas de dos horas en copiarlos cuando XP me dice 7 minutos me parece que voy a probar otra disto, o Mandriva o Debian/Ubunt, pero en 32 bits por si las moscas.

    Me he bajado el Crossover Games trial y me ha vuelto a fallar en lo mismo, pero a su vez me ha saltado el SELinux bloqueándome algo, por eso lo de probar otra distro.



  • 9

    Ahora mismo, o eres un pr0 Linux y te pones 64bit O mejor usa una de 32bit que va de sobras.

    Para la mayoria de usuarios no hay diferencia de rendimiento entre 32 y 64bit. Y tansolo trae dolores de cabeza.

    Saludos!



  • 10

    @XaviJS:

    Ahora mismo, o eres un pr0 Linux y te pones 64bit O mejor usa una de 32bit que va de sobras.

    Para la mayoria de usuarios no hay diferencia de rendimiento entre 32 y 64bit. Y tansolo trae dolores de cabeza.

    Saludos!

    Tienes razón, la verdad es que no he notado diferencia ninguna de rendimiento, pero ya estaba convencido que los problemas de las versiones de 64 bits era cosa del pasado, pero mejor tirar sobre seguro.



  • 11

    Por cierto, te recomiendo Linux Mint 7, Ubuntu/Kubuntu y Mandriva 2009.1.

    Las versiones de Mandriva mejor usar las SPRING, o sea las que no son acabadas de salir. A mi personalmente me han dado algun que otro problemilla, pequeño pero molesto. Y las versiones posteriores sin cambiar el año son la misma pero bien depurada.

    Saludos!



  • 12

    Ahora escribo precisamente desde una Mandriva 2009.1 Spring. La verdad es que es una gozada como te deja todo listo desde el principio. Ahora estoy instalando Wine y Wine Doors para probar.





Has perdido la conexión. Reconectando a Hardlimit.